LAMP 需要哪些東西呢?你必需要知道的是,PHP 是掛在 Apache 底下執行的一個模組, 而我們要用網頁的 PHP 程式控制 MySQL 時,你的 PHP 就得要支援 MySQL 的模組才行!所以你至少需要底下幾個軟體:
  • httpd (提供 Apache 主程式)
  • mysql (MySQL 客戶端程式)
  • mysql-server (MySQL 伺服器程式)
  • php (PHP 主程式含給 apache 使用的模組)
  • php-devel (PHP 的發展工具,這個與 PHP 外掛的加速軟體有關)
  • php-mysql (提供給 PHP 程式讀取 MySQL 資料庫的模組)
要注意, Apache 目前有幾種主要版本,包括 2.0.x, 2.2.x 以及 2.3.x 等等,至於 CentOS 6.x 則是提供 Apache 2.2.x 這個版本啦。如果你沒有安裝的話,請直接使用 yum 或者是原本光碟來安裝先:
 
# 安裝必要的 LAMP 軟體: php-devel 可以先忽略~
[root@www ~]# yum install httpd mysql mysql-server php php-mysql